egcs 1.1b sparc Solaris 5.5.1 optimsation failure

Alexandre Oliva oliva@dcc.unicamp.br
Thu Sep 17 11:42:00 GMT 1998


H J Lu <hjl@lucon.org> writes:

>> Mark Phillips <M.S.Phillips@nortel.co.uk> writes:

>> > I am running Solaris 5.5.1 on a Sparstation 5. The assembler is from
>> > binutils 2.8.1 as is the ld.

>> binutils 2.9 or newer is required for some C++ exception handling
>> issues, but that's not your problem.  

> Well, all the current official binutils from the FSF have an exception
> optimization bug.

I'm aware of the problems on alpha, but I haven't noticed any problem
on neither sparc no x86 with binutils 2.9.1.  At least, they're not
detected by the testsuite.

-- 
Alexandre Oliva
mailto:oliva@dcc.unicamp.br mailto:aoliva@acm.org
http://www.dcc.unicamp.br/~oliva
Universidade Estadual de Campinas, SP, Brasil




More information about the Gcc mailing list